angular.module('demoWidget4Module')

    /**
     * Configuration for the custom widget
     * The config contains all configurable properties of the widget
     */
    .config(['dashboardProviderProvider','columnTypeConfigUrlServiceProvider',
        function (dashboardProviderProvider, columnTypeConfigUrlServiceProvider) {
            dashboardProviderProvider.widget('demoWidget4', {
                title: 'Demo Widget 4',
                category: 'customWidget',
                toolTip : {
                    "de":"Demo Widget 4",
                    "en":"Demo Widget 4"
                },
                actions: ['assignData',
                    'editName',
                    'hLine',
                    'copy', 'paste', 'cut', 'delete',
                    'toTop', 'bringForward', 'sendBackward', 'toBack',
                    'hideHeader','hideBorder'],
                description: 'Demo Widget 4 - Thresholds',
                templateUrl: 'widgets/customWidgets/demoWidget4/partials/demoWidget4.html',
                iconUrl: 'widgets/customWidgets/demoWidget4/assets/images/demoWidget4MenuIcon_32x32.png',
                controller: 'demoWidget4Ctrl',
                container: {
                    hideHeader: false,
                    hideBorder: false,
                    width: 400,
                    height: 300,
                    contentMinHeight: 60,
                    contentMinWidth: 60
                },
                assignData: 'widgets/customWidgets/demoWidget4/partials/assignDataDialog/assignData.html',
                assignColumns: 'widgets/customWidgets/demoWidget4/partials/assignDataDialog/assignColumns.html',
                advancedProperties: 'widgets/customWidgets/demoWidget4/partials/assignDataDialog/advancedProperties.html',
                resolve: {
                    widgetInterface: function(config, demoWidget4DataService) {
                        config.widgetInterface = {
                            getDataMapping: demoWidget4DataService.getDataMapping
                        };
                    }
                },
                thresholdProperties: 'widgets/customWidgets/demoWidget4/partials/assignDataDialog/thresholdProperties.html'
            });

            columnTypeConfigUrlServiceProvider.addColumnTypeUrlMapByWidget('demoWidget4',
                {
                    NUMERIC : ['widgets/customWidgets/demoWidget4/partials/assignDataDialog/columnTypeConfigTemplates', 'numeric.html'].join('/'),
                    DATE : ['widgets/customWidgets/demoWidget4/partials/assignDataDialog/columnTypeConfigTemplates', 'date.html'].join('/'),
                    TEXT : ['widgets/customWidgets/demoWidget4/partials/assignDataDialog/columnTypeConfigTemplates', 'text.html'].join('/')
                });
        }
    ]);